/* comand line preprocessor directives */
#define _ISOC99_SOURCE
#define _BSD_SOURCE
#define _LARGEFILE_SOURCE
#define _FILE_OFFSET_BITS 64
#define _LARGEFILE64_SOURCE
#define _REENTRANT
#define _REENTRANT
#define DVDNAV_USES_EXTERNAL_DVDREAD
#define __extern_always_inline inline

#include <stddef.h>

static void process_C(unsigned char *dest, int dstride, unsigned char *src, int sstride,
                    int w, int h, int brightness, int contrast)
{
        int i;
        int pel;
        int dstep = dstride-w;
        int sstep = sstride-w;

        contrast = ((contrast+100)*256*256)/100;
        brightness = ((brightness+100)*511)/200-128 - contrast/512;

        while (h--) {
                for (i = w; i; i--)
                {
                        pel = ((*src++* contrast)>>16) + brightness;
                        if(pel&768) pel = (-pel)>>31;
                        *dest++ = pel;
                }
                src += sstep;
                dest += dstep;
        }
}

