static void rotate(unsigned char* dst,unsigned char* src,int dststride,int srcstride,int w,int h,int bpp,int dir){
    int y;
    if(dir&1){
        src+=srcstride*(w-1);
        srcstride*=-1;
    }
    if(dir&2){
        dst+=dststride*(h-1);
        dststride*=-1;
    }

    for(y=0;y<h;y++){
        int x;
        switch(bpp){
        case 1:
            for(x=0;x<w;x++) dst[x]=src[y+x*srcstride];
            break;
        case 2:
            for(x=0;x<w;x++) *((short*)(dst+x*2))=*((short*)(src+y*2+x*srcstride));
            break;
        case 3:
            for(x=0;x<w;x++){
                dst[x*3+0]=src[0+y*3+x*srcstride];
                dst[x*3+1]=src[1+y*3+x*srcstride];
                dst[x*3+2]=src[2+y*3+x*srcstride];
            }
            break;
        case 4:
            for(x=0;x<w;x++) *((int*)(dst+x*4))=*((int*)(src+y*4+x*srcstride));
        }
        dst+=dststride;
    }
}

