/* comand line preprocessor directives */
#define U_THREADS
#define U_FPICK_MTPAINT
#define U_CPICK_MTPAINT
#define MT_VERSION "mtPaint 3.40"
#define HAVE_MKDTEMP
#define U_GIF
#define U_JASPER
#define U_TIFF
#define U_JPEG
#define U_FREETYPE
#define U_LCMS 2
#define U_NLS
#define MT_LANG_DEST "/usr/share/locale"
#define U_THREADS
#define U_FPICK_MTPAINT
#define U_CPICK_MTPAINT
#define MT_VERSION "mtPaint 3.40"
#define HAVE_MKDTEMP
#define U_GIF
#define U_JASPER
#define U_TIFF
#define U_JPEG
#define U_FREETYPE
#define U_LCMS 2
#define U_NLS
#define MT_LANG_DEST "/usr/share/locale"
#define __extern_always_inline inline

#include <stddef.h>

typedef struct _GtkWidget      GtkWidget;

typedef struct _GObject                  GObject;

typedef unsigned int    guint;

typedef struct _GData           GData;

typedef struct _GTypeInstance           GTypeInstance;

typedef struct _GTypeClass              GTypeClass;

typedef unsigned int gsize;

typedef gsize                           GType;

struct _GTypeClass
{
  /*< private >*/
  GType g_type;
};

struct _GTypeInstance
{
  /*< private >*/
  GTypeClass *g_class;
};

struct  _GObject
{
  GTypeInstance  g_type_instance;
  
  /*< private >*/
  volatile guint ref_count;
  GData         *qdata;
};

struct _GdkDrawable
{
  GObject parent_instance;
};

typedef struct _GdkDrawable           GdkDrawable;

typedef struct _GdkDrawable           GdkWindow;

typedef struct _GdkRectangle	      GdkRectangle;

typedef int    gint;

struct _GdkRectangle
{
  gint x;
  gint y;
  gint width;
  gint height;
};

typedef 	GdkRectangle	   GtkAllocation;

typedef struct _GtkStyle       GtkStyle;

typedef char   gchar;

struct _GtkRequisition
{
  gint width;
  gint height;
};

typedef unsigned char guint8;

typedef struct _GtkRequisition	   GtkRequisition;

typedef unsigned short guint16;

typedef struct _GtkObject   	     GtkObject;

typedef struct _GArray		GArray;

typedef struct _GSList GSList;

typedef void* gpointer;

struct _GSList
{
  gpointer data;
  GSList *next;
};

typedef struct _GdkFont		      GdkFont;

typedef enum
{
  GDK_FONT_FONT,
  GDK_FONT_FONTSET
} GdkFontType;

struct _GdkFont
{
  GdkFontType type;
  gint ascent;
  gint descent;
};

typedef struct _PangoFontDescription PangoFontDescription;

typedef struct _GdkDrawable           GdkPixmap;

typedef struct _GtkRcStyle     GtkRcStyle;

typedef struct _GdkColor	      GdkColor;

typedef unsigned int guint32;

struct _GdkColor
{
  guint32 pixel;
  guint16 red;
  guint16 green;
  guint16 blue;
};

typedef struct _GdkVisual             GdkVisual;

#    define GSEAL(ident)      ident

struct _GdkColormap
{
  /*< private >*/
  GObject parent_instance;

  /*< public >*/
  gint      GSEAL (size);
  GdkColor *GSEAL (colors);

  /*< private >*/
  GdkVisual *GSEAL (visual);
  
  gpointer GSEAL (windowing_data);
};

typedef struct _GdkColormap	      GdkColormap;

typedef struct _GdkGC                 GdkGC;

struct _GArray
{
  gchar *data;
  guint len;
};

struct _GdkGC
{
  GObject parent_instance;

  gint GSEAL (clip_x_origin);
  gint GSEAL (clip_y_origin);
  gint GSEAL (ts_x_origin);
  gint GSEAL (ts_y_origin);

  GdkColormap *GSEAL (colormap);
};

struct _GtkStyle
{
  GObject parent_instance;

  /*< public >*/

  GdkColor fg[5];
  GdkColor bg[5];
  GdkColor light[5];
  GdkColor dark[5];
  GdkColor mid[5];
  GdkColor text[5];
  GdkColor base[5];
  GdkColor text_aa[5];		/* Halfway between text/base */

  GdkColor black;
  GdkColor white;
  PangoFontDescription *font_desc;

  gint xthickness;
  gint ythickness;

  GdkGC *fg_gc[5];
  GdkGC *bg_gc[5];
  GdkGC *light_gc[5];
  GdkGC *dark_gc[5];
  GdkGC *mid_gc[5];
  GdkGC *text_gc[5];
  GdkGC *base_gc[5];
  GdkGC *text_aa_gc[5];
  GdkGC *black_gc;
  GdkGC *white_gc;

  GdkPixmap *bg_pixmap[5];

  /*< private >*/

  gint attach_count;

  gint depth;
  GdkColormap *colormap;
  GdkFont *private_font;
  PangoFontDescription *private_font_desc; /* Font description for style->private_font or %NULL */

  /* the RcStyle from which this style was created */
  GtkRcStyle	 *rc_style;

  GSList	 *styles;	  /* of type GtkStyle* */
  GArray	 *property_cache;
  GSList         *icon_factories; /* of type GtkIconFactory* */
};

typedef struct _GObject                  GInitiallyUnowned;

struct _GtkObject
{
  GInitiallyUnowned parent_instance;

  /* 32 bits of flags. GtkObject only uses 4 of these bits and
   *  GtkWidget uses the rest. This is done because structs are
   *  aligned on 4 or 8 byte boundaries. If a new bitfield were
   *  used in GtkWidget much space would be wasted.
   */
  guint32 GSEAL (flags);
};

struct _GtkWidget
{
  /* The object structure needs to be the first
   *  element in the widget structure in order for
   *  the object mechanism to work correctly. This
   *  allows a GtkWidget pointer to be cast to a
   *  GtkObject pointer.
   */
  GtkObject object;
  
  /* 16 bits of internally used private flags.
   * this will be packed into the same 4 byte alignment frame that
   * state and saved_state go. we therefore don't waste any new
   * space on this.
   */
  guint16 GSEAL (private_flags);
  
  /* The state of the widget. There are actually only
   *  5 widget states (defined in "gtkenums.h").
   */
  guint8 GSEAL (state);
  
  /* The saved state of the widget. When a widget's state
   *  is changed to GTK_STATE_INSENSITIVE via
   *  "gtk_widget_set_state" or "gtk_widget_set_sensitive"
   *  the old state is kept around in this field. The state
   *  will be restored once the widget gets sensitive again.
   */
  guint8 GSEAL (saved_state);
  
  /* The widget's name. If the widget does not have a name
   *  (the name is NULL), then its name (as returned by
   *  "gtk_widget_get_name") is its class's name.
   * Among other things, the widget name is used to determine
   *  the style to use for a widget.
   */
  gchar *GSEAL (name);
  
  /*< public >*/

  /* The style for the widget. The style contains the
   *  colors the widget should be drawn in for each state
   *  along with graphics contexts used to draw with and
   *  the font to use for text.
   */
  GtkStyle *GSEAL (style);
  
  /* The widget's desired size.
   */
  GtkRequisition GSEAL (requisition);
  
  /* The widget's allocated size.
   */
  GtkAllocation GSEAL (allocation);
  
  /* The widget's window or its parent window if it does
   *  not have a window. (Which will be indicated by the
   *  GTK_NO_WINDOW flag being set).
   */
  GdkWindow *GSEAL (window);
  
  /* The widget's parent.
   */
  GtkWidget *GSEAL (parent);
};

void	   gtk_widget_destroy		  (GtkWidget	       *widget);

#define	FALSE	(0)

typedef unsigned char png_byte;

typedef struct png_color_struct
{
   png_byte red;
   png_byte green;
   png_byte blue;
} png_color;

#define NUM_CHANNELS 4

typedef unsigned char *chanlist[NUM_CHANNELS];

#include <stddef.h>

#define NUM_UTYPES   2

typedef struct {
	unsigned int map;
	void *store[NUM_UTYPES];
} undo_data;

typedef struct {
	chanlist img;
	png_color *pal_;
	unsigned char *tileptr;
	undo_data *dataptr;
	size_t size;
	int width, height, flags;
	short cols, bpp, trans;
} undo_item;

typedef struct {
	undo_item *items;	// Pointer to undo images + current image being edited
	int pointer;		// Index of currently used image on canvas/screen
	int done;		// Undo images that we have behind current image (i.e. possible UNDO)
	int redo;		// Undo images that we have ahead of current image (i.e. possible REDO)
	int max;		// Total number of undo slots
	size_t size;		// Total used memory (0 means count it anew)
} undo_stack;

typedef struct {
	chanlist img;		// Array of pointers to image channels
	png_color pal[256];	// RGB entries for all 256 palette colours
	int cols;	// Number of colours in the palette: 1..256 or 0 for no image
	int bpp;		// Bytes per pixel = 1 or 3
	int trans;		// Transparent colour index (-1 if none)
	int width, height;	// Image geometry
	undo_stack undo_;	// Image's undo stack
	char *filename;		// File name of file loaded/saved
	void *tempfiles;	// List of up-to-date temp files
	int changed;		// Changed since last load/save flag
} image_info;

#include <libintl.h>

#include <stdlib.h>

#define mem_clip_w		mem_clip.width

#define mem_clip_bpp		mem_clip.bpp

#define G_GNUC_CONST                            \
  __attribute__((__const__))

GTypeInstance*   g_type_check_instance_cast     (GTypeInstance      *instance,
						 GType               iface_type);

typedef struct _GtkBin       GtkBin;

typedef struct _GtkContainer	   GtkContainer;

struct _GtkContainer
{
  GtkWidget widget;

  GtkWidget *GSEAL (focus_child);

  guint GSEAL (border_width) : 16;

  /*< private >*/
  guint GSEAL (need_resize) : 1;
  guint GSEAL (resize_mode) : 2;
  guint GSEAL (reallocate_redraws) : 1;
  guint GSEAL (has_focus_chain) : 1;
};

struct _GtkBin
{
  GtkContainer container;

  GtkWidget *GSEAL (child);
};

typedef gint   gboolean;

#  define _G_TYPE_CIC(ip, gt, ct) \
    ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))

#define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))

#define mem_clip_h		mem_clip.height

#define GTK_OBJECT(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), GTK_TYPE_OBJECT, GtkObject))

#define GTK_TYPE_OBJECT              (gtk_object_get_type ())

GType gtk_object_get_type (void) G_GNUC_CONST;

#define	TRUE	(!FALSE)

typedef struct _GdkEventExpose	    GdkEventExpose;

typedef signed char gint8;

typedef struct _GdkRegion             GdkRegion;

typedef enum
{
  GDK_NOTHING		= -1,
  GDK_DELETE		= 0,
  GDK_DESTROY		= 1,
  GDK_EXPOSE		= 2,
  GDK_MOTION_NOTIFY	= 3,
  GDK_BUTTON_PRESS	= 4,
  GDK_2BUTTON_PRESS	= 5,
  GDK_3BUTTON_PRESS	= 6,
  GDK_BUTTON_RELEASE	= 7,
  GDK_KEY_PRESS		= 8,
  GDK_KEY_RELEASE	= 9,
  GDK_ENTER_NOTIFY	= 10,
  GDK_LEAVE_NOTIFY	= 11,
  GDK_FOCUS_CHANGE	= 12,
  GDK_CONFIGURE		= 13,
  GDK_MAP		= 14,
  GDK_UNMAP		= 15,
  GDK_PROPERTY_NOTIFY	= 16,
  GDK_SELECTION_CLEAR	= 17,
  GDK_SELECTION_REQUEST = 18,
  GDK_SELECTION_NOTIFY	= 19,
  GDK_PROXIMITY_IN	= 20,
  GDK_PROXIMITY_OUT	= 21,
  GDK_DRAG_ENTER        = 22,
  GDK_DRAG_LEAVE        = 23,
  GDK_DRAG_MOTION       = 24,
  GDK_DRAG_STATUS       = 25,
  GDK_DROP_START        = 26,
  GDK_DROP_FINISHED     = 27,
  GDK_CLIENT_EVENT	= 28,
  GDK_VISIBILITY_NOTIFY = 29,
  GDK_NO_EXPOSE		= 30,
  GDK_SCROLL            = 31,
  GDK_WINDOW_STATE      = 32,
  GDK_SETTING           = 33,
  GDK_OWNER_CHANGE      = 34,
  GDK_GRAB_BROKEN       = 35,
  GDK_DAMAGE            = 36,
  GDK_EVENT_LAST        /* helper variable for decls */
} GdkEventType;

struct _GdkEventExpose
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkRectangle area;
  GdkRegion *region;
  gint count; /* If non-zero, how many more events follow. */
};

#include <string.h>

typedef unsigned char   guchar;

	#define _(text) gettext(text)

typedef struct _GtkAdjustment	    GtkAdjustment;

typedef double  gdouble;

struct _GtkAdjustment
{
  GtkObject parent_instance;

  gdouble GSEAL (lower);
  gdouble GSEAL (upper);
  gdouble GSEAL (value);
  gdouble GSEAL (step_increment);
  gdouble GSEAL (page_increment);
  gdouble GSEAL (page_size);
};

typedef struct _GtkBox	      GtkBox;

typedef signed short gint16;

typedef struct _GList GList;

struct _GList
{
  gpointer data;
  GList *next;
  GList *prev;
};

struct _GtkBox
{
  GtkContainer container;

  /*< public >*/
  GList *GSEAL (children);
  gint16 GSEAL (spacing);
  guint GSEAL (homogeneous) : 1;
};

#define GTK_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_BOX, GtkBox))

GType       gtk_box_get_type            (void) G_GNUC_CONST;

#define GTK_TYPE_BOX            (gtk_box_get_type ())

typedef struct _GdkEventButton	    GdkEventButton;

typedef struct _GdkDevice	    GdkDevice;

typedef struct _GdkDeviceKey	    GdkDeviceKey;

typedef struct _GdkDeviceAxis	    GdkDeviceAxis;

typedef enum
{
  GDK_AXIS_IGNORE,
  GDK_AXIS_X,
  GDK_AXIS_Y,
  GDK_AXIS_PRESSURE,
  GDK_AXIS_XTILT,
  GDK_AXIS_YTILT,
  GDK_AXIS_WHEEL,
  GDK_AXIS_LAST
} GdkAxisUse;

struct _GdkDeviceAxis
{
  GdkAxisUse use;
  gdouble    min;
  gdouble    max;
};

typedef enum
{
  GDK_SHIFT_MASK    = 1 << 0,
  GDK_LOCK_MASK	    = 1 << 1,
  GDK_CONTROL_MASK  = 1 << 2,
  GDK_MOD1_MASK	    = 1 << 3,
  GDK_MOD2_MASK	    = 1 << 4,
  GDK_MOD3_MASK	    = 1 << 5,
  GDK_MOD4_MASK	    = 1 << 6,
  GDK_MOD5_MASK	    = 1 << 7,
  GDK_BUTTON1_MASK  = 1 << 8,
  GDK_BUTTON2_MASK  = 1 << 9,
  GDK_BUTTON3_MASK  = 1 << 10,
  GDK_BUTTON4_MASK  = 1 << 11,
  GDK_BUTTON5_MASK  = 1 << 12,

  /* The next few modifiers are used by XKB, so we skip to the end.
   * Bits 15 - 25 are currently unused. Bit 29 is used internally.
   */
  
  GDK_SUPER_MASK    = 1 << 26,
  GDK_HYPER_MASK    = 1 << 27,
  GDK_META_MASK     = 1 << 28,
  
  GDK_RELEASE_MASK  = 1 << 30,

  GDK_MODIFIER_MASK = 0x5c001fff
} GdkModifierType;

struct _GdkDeviceKey
{
  guint keyval;
  GdkModifierType modifiers;
};

typedef enum
{
  GDK_SOURCE_MOUSE,
  GDK_SOURCE_PEN,
  GDK_SOURCE_ERASER,
  GDK_SOURCE_CURSOR
} GdkInputSource;

typedef enum
{
  GDK_MODE_DISABLED,
  GDK_MODE_SCREEN,
  GDK_MODE_WINDOW
} GdkInputMode;

struct _GdkDevice
{
  GObject parent_instance;
  /* All fields are read-only */
	  
  gchar *GSEAL (name);
  GdkInputSource GSEAL (source);
  GdkInputMode GSEAL (mode);
  gboolean GSEAL (has_cursor);   /* TRUE if the X pointer follows device motion */
	  
  gint GSEAL (num_axes);
  GdkDeviceAxis *GSEAL (axes);
	  
  gint GSEAL (num_keys);
  GdkDeviceKey *GSEAL (keys);
};

struct _GdkEventButton
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  guint32 time;
  gdouble x;
  gdouble y;
  gdouble *axes;
  guint state;
  guint button;
  GdkDevice *device;
  gdouble x_root, y_root;
};

typedef struct _GtkWindow          GtkWindow;

typedef struct _cairo_font_options cairo_font_options_t;

struct _GdkScreen
{
  GObject parent_instance;

  guint GSEAL (closed) : 1;

  GdkGC *GSEAL (normal_gcs[32]);
  GdkGC *GSEAL (exposure_gcs[32]);
  GdkGC *GSEAL (subwindow_gcs[32]);

  cairo_font_options_t *GSEAL (font_options);
  double GSEAL (resolution);	/* pixels/points scale factor for fonts */
};

typedef struct _GtkWindowGeometryInfo GtkWindowGeometryInfo;

typedef struct _GtkWindowGroup        GtkWindowGroup;

typedef struct _GdkScreen	      GdkScreen;

struct _GtkWindow
{
  GtkBin bin;

  gchar *GSEAL (title);
  gchar *GSEAL (wmclass_name);
  gchar *GSEAL (wmclass_class);
  gchar *GSEAL (wm_role);

  GtkWidget *GSEAL (focus_widget);
  GtkWidget *GSEAL (default_widget);
  GtkWindow *GSEAL (transient_parent);
  GtkWindowGeometryInfo *GSEAL (geometry_info);
  GdkWindow *GSEAL (frame);
  GtkWindowGroup *GSEAL (group);

  guint16 GSEAL (configure_request_count);
  guint GSEAL (allow_shrink) : 1;
  guint GSEAL (allow_grow) : 1;
  guint GSEAL (configure_notify_received) : 1;
  /* The following flags are initially TRUE (before a window is mapped).
   * They cause us to compute a configure request that involves
   * default-only parameters. Once mapped, we set them to FALSE.
   * Then we set them to TRUE again on unmap (for position)
   * and on unrealize (for size).
   */
  guint GSEAL (need_default_position) : 1;
  guint GSEAL (need_default_size) : 1;
  guint GSEAL (position) : 3;
  guint GSEAL (type) : 4; /* GtkWindowType */ 
  guint GSEAL (has_user_ref_count) : 1;
  guint GSEAL (has_focus) : 1;

  guint GSEAL (modal) : 1;
  guint GSEAL (destroy_with_parent) : 1;
  
  guint GSEAL (has_frame) : 1;

  /* gtk_window_iconify() called before realization */
  guint GSEAL (iconify_initially) : 1;
  guint GSEAL (stick_initially) : 1;
  guint GSEAL (maximize_initially) : 1;
  guint GSEAL (decorated) : 1;
  
  guint GSEAL (type_hint) : 3; /* GdkWindowTypeHint if the hint is one of the original eight. If not, then
				* it contains GDK_WINDOW_TYPE_HINT_NORMAL
				*/
  guint GSEAL (gravity) : 5; /* GdkGravity */

  guint GSEAL (is_active) : 1;
  guint GSEAL (has_toplevel_focus) : 1;
  
  guint GSEAL (frame_left);
  guint GSEAL (frame_top);
  guint GSEAL (frame_right);
  guint GSEAL (frame_bottom);

  guint GSEAL (keys_changed_handler);
  
  GdkModifierType GSEAL (mnemonic_modifier);
  GdkScreen      *GSEAL (screen);
};

GType      gtk_window_get_type                 (void) G_GNUC_CONST;

typedef enum
{
  GTK_WIN_POS_NONE,
  GTK_WIN_POS_CENTER,
  GTK_WIN_POS_MOUSE,
  GTK_WIN_POS_CENTER_ALWAYS,
  GTK_WIN_POS_CENTER_ON_PARENT
} GtkWindowPosition;

typedef void  (*GCallback)              (void);

GtkWidget *pack(GtkWidget *box, GtkWidget *widget);

typedef enum
{
  GTK_WINDOW_TOPLEVEL,
  GTK_WINDOW_POPUP
} GtkWindowType;

#define GTK_TYPE_WINDOW			(gtk_window_get_type ())

#define GTK_SIGNAL_FUNC(f)	    G_CALLBACK(f)

#define	G_CALLBACK(f)			 ((GCallback) (f))

GtkWidget *add_vbox(GtkWidget *cont);

#define GTK_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_WINDOW, GtkWindow))

void	   gtk_widget_show		  (GtkWidget	       *widget);

GType   gtk_container_get_type		 (void) G_GNUC_CONST;

#define GTK_CONTAINER(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_CONTAINER, GtkContainer))

#define GTK_TYPE_CONTAINER              (gtk_container_get_type ())

void    gtk_container_set_border_width	 (GtkContainer	   *container,
					  guint		    border_width);

GtkWidget * gtk_vbox_new      (gboolean homogeneous,
                               gint     spacing);

typedef union  _GdkEvent	    GdkEvent;

typedef struct _GdkEventGrabBroken  GdkEventGrabBroken;

typedef enum
{
  GDK_SETTING_ACTION_NEW,
  GDK_SETTING_ACTION_CHANGED,
  GDK_SETTING_ACTION_DELETED
} GdkSettingAction;

struct _GdkEventSetting
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkSettingAction action;
  char *name;
};

typedef struct _GdkEventClient	    GdkEventClient;

typedef struct _GdkEventProximity   GdkEventProximity;

struct _GdkEventProximity
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  guint32 time;
  GdkDevice *device;
};

typedef struct _GdkAtom            *GdkAtom;

typedef enum
{
  GDK_OWNER_CHANGE_NEW_OWNER,
  GDK_OWNER_CHANGE_DESTROY,
  GDK_OWNER_CHANGE_CLOSE
} GdkOwnerChange;

typedef guint32 GdkNativeWindow;

struct _GdkEventOwnerChange
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkNativeWindow owner;
  GdkOwnerChange reason;
  GdkAtom selection;
  guint32 time;
  guint32 selection_time;
};

typedef struct _GdkEventVisibility  GdkEventVisibility;

struct _GdkEventSelection
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkAtom selection;
  GdkAtom target;
  GdkAtom property;
  guint32 time;
  GdkNativeWindow requestor;
};

struct _GdkEventGrabBroken {
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  gboolean keyboard;
  gboolean implicit;
  GdkWindow *grab_window;
};

typedef struct _GdkEventSetting     GdkEventSetting;

struct _GdkEventProperty
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkAtom atom;
  guint32 time;
  guint state;
};

struct _GdkEventConfigure
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  gint x, y;
  gint width;
  gint height;
};

typedef enum
{
  GDK_WINDOW_STATE_WITHDRAWN  = 1 << 0,
  GDK_WINDOW_STATE_ICONIFIED  = 1 << 1,
  GDK_WINDOW_STATE_MAXIMIZED  = 1 << 2,
  GDK_WINDOW_STATE_STICKY     = 1 << 3,
  GDK_WINDOW_STATE_FULLSCREEN = 1 << 4,
  GDK_WINDOW_STATE_ABOVE      = 1 << 5,
  GDK_WINDOW_STATE_BELOW      = 1 << 6
} GdkWindowState;

struct _GdkEventWindowState
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkWindowState changed_mask;
  GdkWindowState new_window_state;
};

typedef struct _GdkEventConfigure   GdkEventConfigure;

struct _GdkEventFocus
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  gint16 in;
};

typedef struct _GdkEventCrossing    GdkEventCrossing;

typedef struct _GdkDragContext        GdkDragContext;

typedef enum
{
  GDK_DRAG_PROTO_MOTIF,
  GDK_DRAG_PROTO_XDND,
  GDK_DRAG_PROTO_ROOTWIN,	  /* A root window with nobody claiming
				   * drags */
  GDK_DRAG_PROTO_NONE,		  /* Not a valid drag window */
  GDK_DRAG_PROTO_WIN32_DROPFILES, /* The simple WM_DROPFILES dnd */
  GDK_DRAG_PROTO_OLE2,		  /* The complex OLE2 dnd (not implemented) */
  GDK_DRAG_PROTO_LOCAL            /* Intra-app */
} GdkDragProtocol;

typedef enum
{
  GDK_ACTION_DEFAULT = 1 << 0,
  GDK_ACTION_COPY    = 1 << 1,
  GDK_ACTION_MOVE    = 1 << 2,
  GDK_ACTION_LINK    = 1 << 3,
  GDK_ACTION_PRIVATE = 1 << 4,
  GDK_ACTION_ASK     = 1 << 5
} GdkDragAction;

struct _GdkDragContext {
  GObject parent_instance;

  /*< public >*/
  
  GdkDragProtocol GSEAL (protocol);

  gboolean GSEAL (is_source);
  
  GdkWindow *GSEAL (source_window);
  GdkWindow *GSEAL (dest_window);

  GList *GSEAL (targets);
  GdkDragAction GSEAL (actions);
  GdkDragAction GSEAL (suggested_action);
  GdkDragAction GSEAL (action);

  guint32 GSEAL (start_time);

  /*< private >*/
  
  gpointer GSEAL (windowing_data);
};

typedef short  gshort;

struct _GdkEventDND {
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkDragContext *context;

  guint32 time;
  gshort x_root, y_root;
};

typedef struct _GdkEventSelection   GdkEventSelection;

typedef enum
{
  GDK_NOTIFY_ANCESTOR		= 0,
  GDK_NOTIFY_VIRTUAL		= 1,
  GDK_NOTIFY_INFERIOR		= 2,
  GDK_NOTIFY_NONLINEAR		= 3,
  GDK_NOTIFY_NONLINEAR_VIRTUAL	= 4,
  GDK_NOTIFY_UNKNOWN		= 5
} GdkNotifyType;

typedef enum
{
  GDK_CROSSING_NORMAL,
  GDK_CROSSING_GRAB,
  GDK_CROSSING_UNGRAB,
  GDK_CROSSING_GTK_GRAB,
  GDK_CROSSING_GTK_UNGRAB,
  GDK_CROSSING_STATE_CHANGED
} GdkCrossingMode;

struct _GdkEventCrossing
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkWindow *subwindow;
  guint32 time;
  gdouble x;
  gdouble y;
  gdouble x_root;
  gdouble y_root;
  GdkCrossingMode mode;
  GdkNotifyType detail;
  gboolean focus;
  guint state;
};

typedef struct _GdkEventDND         GdkEventDND;

typedef struct _GdkEventKey	    GdkEventKey;

struct _GdkEventMotion
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  guint32 time;
  gdouble x;
  gdouble y;
  gdouble *axes;
  guint state;
  gint16 is_hint;
  GdkDevice *device;
  gdouble x_root, y_root;
};

typedef struct _GdkEventScroll      GdkEventScroll;

typedef enum
{
  GDK_SCROLL_UP,
  GDK_SCROLL_DOWN,
  GDK_SCROLL_LEFT,
  GDK_SCROLL_RIGHT
} GdkScrollDirection;

struct _GdkEventScroll
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  guint32 time;
  gdouble x;
  gdouble y;
  guint state;
  GdkScrollDirection direction;
  GdkDevice *device;
  gdouble x_root, y_root;
};

typedef struct _GdkEventNoExpose    GdkEventNoExpose;

struct _GdkEventKey
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  guint32 time;
  guint state;
  guint keyval;
  gint length;
  gchar *string;
  guint16 hardware_keycode;
  guint8 group;
  guint is_modifier : 1;
};

typedef unsigned short  gushort;

struct _GdkEventClient
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkAtom message_type;
  gushort data_format;
  union {
    char b[20];
    short s[10];
    long l[5];
  } data;
};

typedef struct _GdkEventProperty    GdkEventProperty;

struct _GdkEventNoExpose
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
};

typedef struct _GdkEventAny	    GdkEventAny;

typedef struct _GdkEventOwnerChange GdkEventOwnerChange;

typedef struct _GdkEventMotion	    GdkEventMotion;

typedef enum
{
  GDK_VISIBILITY_UNOBSCURED,
  GDK_VISIBILITY_PARTIAL,
  GDK_VISIBILITY_FULLY_OBSCURED
} GdkVisibilityState;

struct _GdkEventVisibility
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
  GdkVisibilityState state;
};

typedef struct _GdkEventWindowState GdkEventWindowState;

typedef struct _GdkEventFocus	    GdkEventFocus;

struct _GdkEventAny
{
  GdkEventType type;
  GdkWindow *window;
  gint8 send_event;
};

union _GdkEvent
{
  GdkEventType		    type;
  GdkEventAny		    any;
  GdkEventExpose	    expose;
  GdkEventNoExpose	    no_expose;
  GdkEventVisibility	    visibility;
  GdkEventMotion	    motion;
  GdkEventButton	    button;
  GdkEventScroll            scroll;
  GdkEventKey		    key;
  GdkEventCrossing	    crossing;
  GdkEventFocus		    focus_change;
  GdkEventConfigure	    configure;
  GdkEventProperty	    property;
  GdkEventSelection	    selection;
  GdkEventOwnerChange  	    owner_change;
  GdkEventProximity	    proximity;
  GdkEventClient	    client;
  GdkEventDND               dnd;
  GdkEventWindowState       window_state;
  GdkEventSetting           setting;
  GdkEventGrabBroken        grab_broken;
};

typedef struct _GtkArg	       	     GtkArg;

typedef void (*GtkCallbackMarshal)  (GtkObject    *object,
				     gpointer      data,
				     guint         n_args,
				     GtkArg       *args);

typedef void            (*GDestroyNotify)       (gpointer       data);

typedef long   glong;

typedef float   gfloat;

typedef unsigned long   gulong;

struct _GtkArg
{
  GType type;
  gchar *name;

  /* this union only defines the required storage types for
   * the possibile values, thus there is no gint enum_data field,
   * because that would just be a mere alias for gint int_data.
   * use the GTK_VALUE_*() and GTK_RETLOC_*() macros to access
   * the discrete memebers.
   */
  union {
    /* flat values */
    gchar char_data;
    guchar uchar_data;
    gboolean bool_data;
    gint int_data;
    guint uint_data;
    glong long_data;
    gulong ulong_data;
    gfloat float_data;
    gdouble double_data;
    gchar *string_data;
    GtkObject *object_data;
    gpointer pointer_data;

    /* structured values */
    struct {
      GCallback f;
      gpointer d;
    } signal_data;
  } d;
};

gulong	gtk_signal_connect_full			(GtkObject	    *object,
						 const gchar	    *name,
						 GCallback	     func,
						 GtkCallbackMarshal  unsupported,
						 gpointer	     data,
						 GDestroyNotify      destroy_func,
						 gint		     object_signal,
						 gint		     after);

#define	gtk_signal_connect(object,name,func,func_data)                                 \
   gtk_signal_connect_full ((object), (name), (func), NULL, (func_data), NULL, 0, 0)

GtkWidget*     gtk_button_new_with_label    (const gchar    *label);

void    gtk_container_add		 (GtkContainer	   *container,
					  GtkWidget	   *widget);

void	   gtk_widget_set_usize		  (GtkWidget	       *widget,
					   gint			width,
					   gint			height);

#define FREE_IMAGE 1

void handle_events();

typedef enum
{
  GTK_SHADOW_NONE,
  GTK_SHADOW_IN,
  GTK_SHADOW_OUT,
  GTK_SHADOW_ETCHED_IN,
  GTK_SHADOW_ETCHED_OUT
} GtkShadowType;

void        gtk_box_pack_start          (GtkBox         *box,
                                         GtkWidget      *child,
                                         gboolean        expand,
                                         gboolean        fill,
                                         guint           padding);

GtkWidget*     gtk_viewport_new             (GtkAdjustment *hadjustment,
					     GtkAdjustment *vadjustment);

int progress_update(float val);

void progress_init(char *text, int canc);

void progress_end();

#define FREE_ALL   3

GtkWidget* gtk_hseparator_new      (void);

GtkWidget* gtk_window_new                      (GtkWindowType        type);

void       gtk_window_set_title                (GtkWindow           *window,
						const gchar         *title);

void       gtk_window_set_position             (GtkWindow           *window,
						GtkWindowPosition    position);

GType          gtk_viewport_get_type        (void) G_GNUC_CONST;

typedef struct _GtkViewport       GtkViewport;

struct _GtkViewport
{
  GtkBin bin;

  GtkShadowType GSEAL (shadow_type);
  GdkWindow *GSEAL (view_window);
  GdkWindow *GSEAL (bin_window);
  GtkAdjustment *GSEAL (hadjustment);
  GtkAdjustment *GSEAL (vadjustment);
};

void           gtk_viewport_set_shadow_type (GtkViewport   *viewport,
					     GtkShadowType  type);

#define GTK_VIEWPORT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_VIEWPORT, GtkViewport))

#define GTK_TYPE_VIEWPORT            (gtk_viewport_get_type ())

#define	gtk_signal_connect_object(object,name,func,slot_object)                        \
   gtk_signal_connect_full ((object), (name), (func), NULL, (slot_object), NULL, 1, 0)

static gboolean delete_progress(GtkWidget *widget, GdkEvent *event, gpointer data)
{
	return TRUE;			// This stops the user closing the window via the window manager
}

static int prog_stop;

static void do_cancel_progress()
{
	prog_stop = 1;
}

void add_hseparator( GtkWidget *widget, int xs, int ys )
{
	GtkWidget *sep = pack(widget, gtk_hseparator_new());
	gtk_widget_show(sep);
	gtk_widget_set_usize(sep, xs, ys);
}

typedef struct _GtkProgress       GtkProgress;

struct _GtkProgress
{
  GtkWidget widget;

  GtkAdjustment *adjustment;
  GdkPixmap     *offscreen_pixmap;
  gchar         *format;
  gfloat         x_align;
  gfloat         y_align;

  guint          show_text : 1;
  guint          activity_mode : 1;
  guint          use_text_format : 1;
};

void       gtk_progress_set_show_text       (GtkProgress   *progress,
					     gboolean       show_text);

GType      gtk_progress_get_type            (void) G_GNUC_CONST;

GtkWidget* gtk_progress_bar_new                  (void);

static GtkWidget *progress_window, *progress_bar;

void       gtk_window_set_modal      (GtkWindow *window,
				      gboolean   modal);

GtkWidget *add_a_window( GtkWindowType type, char *title, GtkWindowPosition pos, gboolean modal )
{
	GtkWidget *win = gtk_window_new(type);
	gtk_window_set_title(GTK_WINDOW(win), title);
	gtk_window_set_position(GTK_WINDOW(win), pos);
	gtk_window_set_modal(GTK_WINDOW(win), modal);

	return win;
}

void       gtk_progress_set_format_string   (GtkProgress   *progress,
					     const gchar   *format);

#define GTK_PROGRESS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_PROGRESS, GtkProgress))

#define GTK_TYPE_PROGRESS            (gtk_progress_get_type ())

GtkWidget *add_a_button( char *text, int bord, GtkWidget *box, gboolean filler )
{
	GtkWidget *button = gtk_button_new_with_label(text);
	gtk_widget_show (button);
	gtk_box_pack_start (GTK_BOX (box), button, filler, filler, 0);
	gtk_container_set_border_width (GTK_CONTAINER (button), bord);

	return button;
}

void progress_init(char *text, int canc)		// Initialise progress window
{
	GtkWidget *vbox6, *button_cancel, *viewport;

	progress_window = add_a_window( GTK_WINDOW_TOPLEVEL, _("Please Wait ..."),
		GTK_WIN_POS_CENTER, TRUE );
	gtk_widget_set_usize (progress_window, 400, -2);

	viewport = gtk_viewport_new (NULL, NULL);
	gtk_widget_show(viewport);
	gtk_container_add( GTK_CONTAINER( progress_window ), viewport );
	gtk_viewport_set_shadow_type( GTK_VIEWPORT(viewport), GTK_SHADOW_ETCHED_OUT );
	vbox6 = add_vbox(viewport);

	progress_bar = pack(vbox6, gtk_progress_bar_new());
	gtk_progress_set_format_string( GTK_PROGRESS (progress_bar), text );
	gtk_progress_set_show_text( GTK_PROGRESS (progress_bar), TRUE );
	gtk_container_set_border_width (GTK_CONTAINER (vbox6), 10);
	gtk_widget_show( progress_bar );

	if ( canc == 1 )
	{
		add_hseparator( vbox6, -2, 10 );
		button_cancel = add_a_button(_("STOP"), 5, vbox6, TRUE);
		gtk_signal_connect(GTK_OBJECT(button_cancel), "clicked",
			GTK_SIGNAL_FUNC(do_cancel_progress), NULL);
	}

	gtk_signal_connect_object (GTK_OBJECT (progress_window), "delete_event",
		GTK_SIGNAL_FUNC (delete_progress), NULL);

	prog_stop = 0;
	gtk_widget_show( progress_window );
	progress_update(0.0);
}

void progress_end()			// Close progress window
{
	if (progress_window)
	{
		gtk_widget_destroy( progress_window );
		progress_window = NULL;
	}
}

gboolean   gtk_main_iteration	   (void);

void       gtk_progress_set_percentage      (GtkProgress   *progress,
					     gdouble        percentage);

int progress_update(float val)		// Update progress window
{
	if (!progress_window) return (FALSE);
	gtk_progress_set_percentage( GTK_PROGRESS (progress_bar), val );
	handle_events();
	return (prog_stop);
}

GtkWidget *add_vbox(GtkWidget *cont)
{
	GtkWidget *box = gtk_vbox_new(FALSE, 0);
	gtk_widget_show(box);
	gtk_container_add(GTK_CONTAINER(cont), box);
	return (box);
}

GtkWidget *pack(GtkWidget *box, GtkWidget *widget)
{
	gtk_box_pack_start(GTK_BOX(box), widget, FALSE, FALSE, 0);
	return (widget);
}

gboolean       gtk_events_pending       (void);

void handle_events()
{
	int i = 20; /* To prevent endless waiting */
	while ((i-- > 0) && gtk_events_pending()) gtk_main_iteration();
}

image_info mem_clip;

static undo_data *undo_datastore, *undo_freelist;

#define UD_FILENAME  0

#define UD_FREE_MASK (1 << UD_FILENAME)

void mem_free_chanlist(chanlist img)
{
	int i;

	for (i = 0; i < NUM_CHANNELS; i++)
	{
		if (!img[i]) continue;
		if (img[i] != (void *)(-1)) free(img[i]);
	}
}

void undo_free_data(undo_item *undo)
{
	undo_data *tmp;
	unsigned int tmap;
	int i;

	if (!(tmp = undo->dataptr)) return;
	for (tmap = tmp->map & UD_FREE_MASK, i = 0; tmap; tmap >>= 1 , i++)
		if (tmap & 1) free(tmp->store[i]);
	tmp->store[0] = undo_freelist;
	undo_freelist = tmp;
	undo->dataptr = NULL;
}

static size_t undo_free_x(undo_item *undo)
{
	int j = undo->size;

	undo_free_data(undo);
	free(undo->pal_);
	mem_free_chanlist(undo->img);
	memset(undo, 0, sizeof(undo_item));
	return (j);
}

#define FREE_UNDO  2

void mem_free_image(image_info *image, int mode)
{
	int i, j = image->undo_.max, p = image->undo_.pointer;

	/* Delete current image (don't rely on undo frame being up to date) */
	if (mode & FREE_IMAGE)
	{
		mem_free_chanlist(image->img);
		memset(image->img, 0, sizeof(chanlist));
		image->width = image->height = 0;

		free(image->filename);
		image->filename = image->tempfiles = NULL;
	}

	/* Delete undo frames if any */
	image->undo_.pointer = image->undo_.done = image->undo_.redo = 0;
	if (!image->undo_.items) return;
	memset(image->undo_.items[p].img, 0, sizeof(chanlist)); // Already freed
	for (i = 0; i < j; i++) undo_free_x(image->undo_.items + i);

	/* Delete undo stack if finalizing */
	if (mode & FREE_UNDO)
	{
		free(image->undo_.items);
		image->undo_.items = NULL;
		image->undo_.max = 0;
	}
}

#define PROGRESS_LIM 262144

void mem_rotate( char *new, char *old, int old_w, int old_h, int dir, int bpp )
{
	unsigned char *src;
	int i, j, k, l, flag;

	flag = (old_w * old_h > PROGRESS_LIM * 4);
	j = old_w * bpp;
	l = dir ? -bpp : bpp;
	k = -old_w * l;
	old += dir ? j - bpp: (old_h - 1) * j;

	if (flag) progress_init(_("Rotating"), 1);
	for (i = 0; i < old_w; i++)
	{
		if (flag && ((i * 5) % old_w >= old_w - 5))
				progress_update((float)i / old_w);
		src = old;
		if (bpp == 1)
		{
			for (j = 0; j < old_h; j++)
			{
				*new++ = *src;
				src += k;
			}
		}
		else
		{
			for (j = 0; j < old_h; j++)
			{
				*new++ = src[0];
				*new++ = src[1];
				*new++ = src[2];
				src += k;
			}
		}
		old += l;
	}
	if (flag) progress_end();
}

int mem_sel_rot( int dir )			// Rotate clipboard 90 degrees
{
	unsigned char *buf = NULL;
	int i, j = mem_clip_w * mem_clip_h, bpp = mem_clip_bpp;

	for (i = 0; i < NUM_CHANNELS; i++ , bpp = 1)
	{
		if (!mem_clip.img[i]) continue;
		buf = malloc(j * bpp);
		if (!buf) break;	// Not enough memory
		mem_rotate(buf, mem_clip.img[i], mem_clip_w, mem_clip_h, dir, bpp);
		free(mem_clip.img[i]);
		mem_clip.img[i] = buf;
	}

	/* Don't leave a mix of rotated and unrotated channels */
	if (!buf && i) mem_free_image(&mem_clip, FREE_ALL);
	if (!buf) return (1);

	i = mem_clip_w;
	mem_clip_w = mem_clip_h;		// Flip geometry
	mem_clip_h = i;

	return (0);
}

